Package Details: python2-vpython 6.11-3

Git Clone URL: https://aur.archlinux.org/python2-vpython.git (read-only, click to copy)
Package Base: python2-vpython
Description: Easy-to-use 3D graphics module for Python.
Upstream URL: http://www.vpython.org
Licenses: custom
Conflicts: python-vpython
Replaces: python-vpython
Submitter: giniu
Maintainer: moyamo
Last Packager: moyamo
Votes: 23
Popularity: 0.000000
First Submitted: 2014-01-31 14:38
Last Updated: 2017-10-12 06:47

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

giniu commented on 2011-05-08 18:17

I adopted this package and updated. I believe it should work, did not tested it yet fully. Big thanks to big_gie for letting me base this update on hist latest working version. It saved me a lot of time. For now, to build this you have to manually edit fonttools package to support python2 and change python-numeric to python2-numpy. For now we wait for fonttools package maintainer to act.

giniu commented on 2011-05-08 17:27

Ok, updated. I believe it should mostly work. Big thanks to big_gie for letting me base this update on hist latest working version. It saved me a lot of time. For now, to build this you have to manually edit fonttools package to support python2 and change python-numeric to python2-numpy. For now we wait for fonttools package maintainer to act.

giniu commented on 2011-05-08 17:05

I will update this package soon, for now we wait a bit for maintainer of package fonttools to update his package to python2. I will slowly take care of rest of dependencies, cleanup and stuff.

giniu commented on 2011-04-07 09:14

Just found out, that what I reported is bug in pango in extra ( https://bugs.archlinux.org/task/23625 ). When I edited the pkgconf to get rid of autoconf left-overs building this stops in exactly same boost place.

@grand why not update this package to 5.6 posted by big_gie? He has a working version and posted all deps on his github.

I'm interested in making this work, because this is dependency of package I'm preparing.

hiato commented on 2011-04-06 20:45

Yes, it is also not compiling for me, and another guy I know. However, the build fails for me at a different point:

Linking cvisualmodule.la ...
make[1]: *** [cvisualmodule.la] Error

and the relevant log bits:

/usr/bin/ld: cannot find -lboost_python-mt
/usr/bin/ld: cannot find -lboost_thread-mt
/usr/bin/ld: cannot find -lboost_signals-mt

Though this is probably related to that bug about boost libraries that they mention.

Also, I'd recommend changing line 14 in the PKGBUILD from "...5.32_release..." to "...${pkgver}_release..."

A version that does compile and function properly is (the rather old) 5.2 release. I haven't bothered with newer versions (which do compile) such as 5.6 as several libraries are needed that are not currently in the AUR (python-fonttools to name one).

hiato commented on 2011-04-06 20:36

Yes, it is also not compiling for me, and another guy I know. However, the build fails for me at a different point:

Linking cvisualmodule.la ...
make[1]: *** [cvisualmodule.la] Error

and the relevant log bits:

/usr/bin/ld: cannot find -lboost_python-mt
/usr/bin/ld: cannot find -lboost_thread-mt
/usr/bin/ld: cannot find -lboost_signals-mt

Also, I'd recommend changing line 14 in the PKGBUILD from "...5.2_release..." to "...${pkgver}_release..."

giniu commented on 2011-04-05 16:42

Hmm... does this work on current Arch? I'm getting:

This is a quiet Makefile. If make exits with an error, check src/build.log to see the complete error message(s). In the event of an error that you cannot debug, please send a message to visualpython-users@lists.sourceforge.net, including the files config.log and src/build.log, requesting assistance.
Compiling ./core/util/atomic_queue.cpp ...
make[1]: *** [atomic_queue.lo] Błąd 1

and there is content of src/build.log - http://pastebin.com/efJYKj7G - anyone else seeing this?

big_gie commented on 2011-03-17 16:36

I updated to v5.60.
It's uploaded to github at:
https://github.com/nbigaouette/PKGBUILDs/tree/master/python-vpython

Dependencies are in AUR or github.

widowild commented on 2011-03-13 14:52

Hello,
http://vpython.org/contents/download/visual-5.51_release.tar.bz2

$ md5sum ./visual-5.51_release.tar.bz2
a2faa590bae21e036ede2b9c6eaa8afe ./visual-5.51_release.tar.bz2

Anonymous comment on 2011-02-28 03:53

the vpython excutable use idle, which now for default use python 3. Need to change idle to idle2 in /usr/bin/vpython